Subject: RE: Solaris 8 ddp driver problem

From: [email-masked]
Date: Wed, 5 Sep 2001 11:15:51 -0700

Ah - you think it is compiling in 64-bit mode - it's not.  If you add the
-m64 to the compile line, you will get a "not supported" message.  It will
compile, but in 32-bit mode.

> ----------
> From: 	Bruce Kropp
> Reply To: 	[email-masked]
> Sent: 	Wednesday, September 5, 2001 10:35 AM
> To: 	[email-masked]; [email-masked]
> Cc: 	[email-masked]
> Subject: 	Re: Solaris 8 ddp driver problem
> 
> Sure, I saw that two, and so I tried it in 32-bit mode
> (using gcc/g++ 2.95 on Solaris 8 01/01).  Both times
> it compiled fine (64-bit, and 32-bit modes), but both
> times I get the same message when running  make kinstall:
> 
>     add_drv -m '* 0666 root sys' ddp
>     devfsadm: driver failed to attach: ddp
>     Warning: Driver (ddp) successfully added to system but failed to
> attach
> 
> I have these entries in /etc/services:
> 
>    rtmp            1/ddp
>    nbp             2/ddp
>    echo            4/ddp
>    zip             6/ddp
>    afpovertcp      548/tcp
>    afpovertcp      548/udp
> 
> and this /etc/netconfig entry:
> 
>    ddp tpi_clts - appletalk ddp /dev/ddp -
> 
> but I've never seen the device /dev/ddp get
> created automatically.  So I hand created one
> with my best guess (which could be a bad one):
> 
>    /dev/ddp -> /devices/pseudo/ddp@0:ddp
> 
> Could you tell me what the device is supposed to
> look like (I assume it is in /devices/pseudo/... ),
> including major and minor numbers?
> 
> -bruce
> Bruce Kropp
> [email-masked]
> 
> 
> [email-masked] wrote:
> > 
> > Well, I've tracked down the problem, but there is no good answer. It is
> > actually documented in  ./sys/solaris/Makefile.
> > 
> > GCC doesn't currently do 64 bit compiles.  64-bit Sun Solaris requires
> > 64-bit drivers.  The only way to make it work is to use Sun C, which
> costs a
> > cool $1300.  The only solution is to beg one from some one who has the
> > compiler and a similar architecture.
> > 
> > I politely suggest (again) that a downloadable binary be placed on the
> > sourceforge site or on SunFreeware.  I've asked at each place.
> > 
> > I received one myself, and have asked permission to re-distribute it,
> but
> > have not received it yet.
> > 
> > > ----------
> > > From:         Bruce
> > > Sent:         Monday, September 3, 2001 5:50 PM
> > > To:   netatalk
> > > Subject:      Solaris 8 ddp driver problem
> > >
> > > I've seen this question posed before, but have not seen an answer.
> > > It applies to all these verions:
> > >
> > > netatalk-1.4.99-0.20001108.tar
> > > netatalk-1.5pre6.tar
> > > netatalk-971027.tar
> > > netatalk-1.4b2+asun2.1.3.tar
> > > pre-asun2.1.4-38b_test.tar
> > >
> > > in ./sys/solaris directory,
> > > trying to run "make kinstall" on Solaris 8 (UltraSPARC-1),
> > > produces the following error message (same in both 32-bit and 64-bit):
> > >
> > >    ...
> > >    /usr/ucb/install -c ddp.conf /usr/kernel/drv/ddp.conf
> > >    add_drv -m '* 0666 root sys' ddp
> > >    devfsadm: driver failed to attach: ddp
> > >    Warning: Driver (ddp) successfully added to system but failed to
> > > attach
> > >    sync;sync;sync
> > >    ...
> > >
> > > After setting atalkd.conf with hme0,
> > > when atalkd is started, it produces the error message:
> > >
> > >    can't establish STREAMS plumbing, exiting.
> > >
> > > /var/adm/messages says this about ioctl(fd,  I_PUSH, "ddp") in
> > > ./etc/atalkd/config.c:
> > >
> > >    Sep  3 16:31:48 mail atalkd[12708]: [ID 174707 user.error] I_PUSH:
> > > Invalid argument
> > >
> > > I had to guess at a device (is this documented? ), using:
> > >
> > >    mknod /devices/psuedo/ddp@0:ddp c 92 1
> > >    ln -s /devices/psuedo/ddp@0:ddp   /dev/ddp
> > >
> > > Any hints?
> > >
> > > -bruce
> > > Bruce Kropp
> > > [email-masked]
> > >
> > >
> > >
> 
>